Subject: RE: 24.4.50; update-file-autoloads never ends

From: Vincent Belaïche <[email-masked]>
Date: Sun, 28 Sep 2014 12:36:04 +0200

Hello Paul,
BTW, I had not noticed this, even if you cannot reproduce getting hung, nevertheless there seems to be a problem in what you logged : the my_autoloads.el that you produced is basically empty. That should not be the case, there should be at least balance-mode function as auto-loadable.

Regards,   Vincent.
----------------------------------------
> Date: Fri, 26 Sep 2014 09:59:38 -0700
> From: [email-masked]
> To: [email-masked]
> CC: [email-masked]
> Subject: Re: 24.4.50; update-file-autoloads never ends
>
> I could not reproduce the problem with Emacs trunk bzr 117958 built on
> Fedora 20 with GCC 4.9.1, in either 32- or 64-bit builds, and in either
> en_US.UTF-8 or fr_FR.iso885915@euro locales. Here's the behavior I
> observed:
>
> $ ls -l /tmp/d/balance.el
> -rw-r--r--. 1 eggert eggert 110567 Sep 26 09:38 /tmp/d/balance.el
> $ time src/emacs -Q --batch '--eval=(update-file-autoloads
> "/tmp/d/balance.el" nil "/tmp/d/my_autoloads.el")'
> Generating autoloads for /tmp/d/balance.el...
> Wrote /tmp/d/my_autoloads.el
> Generating autoloads for /tmp/d/balance.el...done
>
> real 0m0.041s
> user 0m0.033s
> sys 0m0.007s
> $ ls -l /tmp/d/my_autoloads.el
> -rw-r--r--. 1 eggert eggert 260 Sep 26 09:56 /tmp/d/my_autoloads.el
> $ cat /tmp/d/my_autoloads.el
> ;;; my_autoloads.el --- automatically extracted autoloads
> ;;
> ;;; Code:
>
>
> (provide 'my_autoloads)
> ;; Local Variables:
> ;; version-control: never
> ;; no-byte-compile: t
> ;; no-update-autoloads: t
> ;; coding: utf-8
> ;; End:
> ;;; my_autoloads.el ends here